# Source this script to set up the ROOT build that this script is part of.
#
# Conveniently an alias like this can be defined in ~/.cshrc:
#   alias thisroot "source bin/thisroot.sh"
#
# This script if for the csh like shells, see thisroot.sh for bash like shells.
#
# Author: Fons Rademakers, 18/8/2006

# $_ should be source .../thisroot.csh
set ARGS=($_)
set THIS="`dirname ${ARGS[2]}`"
setenv ROOTSYS "`(cd ${THIS}/..;pwd)`"

set path = (/usr/share/root/bin $path)

if ($?LD_LIBRARY_PATH) then
   setenv LD_LIBRARY_PATH /usr/lib64/root:$LD_LIBRARY_PATH      # Linux, ELF HP-UX
else
   setenv LD_LIBRARY_PATH /usr/lib64/root
endif

if ($?DYLD_LIBRARY_PATH) then
   setenv DYLD_LIBRARY_PATH /usr/lib64/root:$DYLD_LIBRARY_PATH  # Mac OS X
else
   setenv DYLD_LIBRARY_PATH /usr/lib64/root
endif

if ($?SHLIB_PATH) then
   setenv SHLIB_PATH /usr/lib64/root:$SHLIB_PATH                # legacy HP-UX
else
   setenv SHLIB_PATH /usr/lib64/root
endif

if ($?LIBPATH) then
   setenv LIBPATH /usr/lib64/root:$LIBPATH                      # AIX
else
   setenv LIBPATH /usr/lib64/root
endif

if ($?PYTHONPATH) then
   setenv PYTHONPATH /usr/lib64/root:$PYTHONPATH
else
   setenv PYTHONPATH /usr/lib64/root
endif

if ($?MANPATH) then
   setenv MANPATH `dirname /usr/share/man/man1`:$MANPATH
else
   setenv MANPATH `dirname /usr/share/man/man1`
endif
